<?php

/**
* 
*/
class printform
{
	private $id_accordion;

	public function __construct()
	{
		$this->id_accordion = "sqlmap-form";
	}

	public function __destruct()
	{
		# code...
	}

	/**
	 * PANEL
	 */

	public function printPanelHeading($parent, $section, $description)
	{
		$pparent= ' data-parent="#'.$parent.'"';
		$phref	= ' href="#'.$section.'"';

		echo '<div class="panel-heading">';
		echo '<h4 class="panel-title">';
		if (strcmp('TARGET', $section) == 0) {
			echo $section.'<br>';
		} else {
			echo '<a data-toggle="collapse"'.$pparent.$phref.'>'.$section.'</a><br>';
		}
		echo '<span class="form-signin-text-muted">'.$description.'</span>';
		echo '</h4>';
		echo '</div>';
	}

	public function printPanelCollapse($state, $section, $collapse)
	{
		switch ($state) {
			case 0:
				if (strcmp('TARGET', $section) == 0) {
					echo '<div id="'.$section.'" class="panel-collapse">';	
				} else {
					echo '<div id="'.$section.'" class="panel-collapse collapse">';
				}
				echo '<div class="panel-body">';
				break;
			
			case 1:
				echo '</div>';
				echo '</div>';
				break;

			default:
				echo 'ERROR!';
				break;
		}
	}

	/**
	 * FORM
	 */

	public function printFormTCheckbox($name, $value, $active, $multiple, $title)
	{
		if ($multiple) {
			$pname 	= ' name="'.$name.'[]"';
			$pvalue		= ' value="'.$value.'"';
		} else {
			$pname 	= ' name="'.$name.'"';
			$pvalue		= '';
		}
		$pactive 	= '';
		$pchecked 	= '';
		if ($active) {
			$pactive  = ' active';
			$pchecked = ' checked="checked"';
		}
		$html = '<input type="checkbox"'.$pname.$pvalue.$pchecked.'/> '.$title.'';

		echo '<label class="btn btn-success'.$pactive.'">';
		echo $html;
		echo '</label>';
	}

	public function printFormTNumber($name, $value, $min, $max, $description)
	{
		$pname	= ' name="'.$name.'"';
		$pvalue	= ' value="'.$value.'"';
		$pmin 	= ' min="'.$min.'"';
		$pmax 	= ' max="'.$max.'"';
		$html 	= '<input type="number" class="form-control"'.$pname.$pmin.$pmax.$pvalue.'">';

		$msg = $description.' ['.$min.'-'.$max.']:';

		echo $msg;
		echo $html;
	}

	public function printFormTRadio($name, $value, $active, $title)
	{
		$pname 		= ' name="'.$name.'"';
		$pvalue		= ' value="'.$value.'"';
		$pactive 	= '';
		$pchecked 	= '';
		if ($active) {
			$pactive  = ' active';
			$pchecked = ' checked="checked"';
		}
		$html = '<input type="radio"'.$pname.$pvalue.$pchecked.'/> '.$title.'';

		echo '<label class="btn btn-default'.$pactive.'">';
		echo $html;
		echo '</label>';
	}

	public function printFormTText($name, $required, $description)
	{
		$pname 		= ' name="'.$name.'"';
		$prequired 	= '';
		if ($required) { 
			$prequired = ' required';
		}
		$html = '<input type="text" class="form-control"'.$pname.$prequired.'>';

		$msg = $description.':';

		echo $msg;
		echo $html;
	}

	public function getIDaccordion()
	{
		return $this->id_accordion;
	}
}

?>