#!/bin/bash

if [[ $EUID -ne 0 ]]; then
echo -e "\nThis script must be run by root.\n" 1>&2
exit 1
fi

CSITES=/etc/apache2/sites-available/
DIROPT=/opt/
DIRWWW=/var/www/

## INSTALL SQLMAP
DIRAUX=$DIROPT"sqlmap/"
tar -C $DIROPT -zxvf sqlmap.tgz
chown -R root:root $DIRAUX
chmod -R 755 $DIRAUX

## INSTALL SQLMAPWEB PROJECT
DIRAUX=$DIRWWW"sqlmapproject_0.9_3494/"
tar -C $DIRWWW -zxvf sqlmapproject_0.9_3494.tgz
chown -R www-data:www-data $DIRAUX
chmod -R 755 $DIRAUX

## CONFIG SITE
FILEAUX=$CSITES"sqlmapproject_0.9_3494"
cp ./files/sqlmapproject_0.9_3494 $CSITES
chown root:root $FILEAUX
chmod 644 $FILEAUX
a2ensite sqlmapproject_0.9_3494
/etc/init.d/apache2 reload
