<?php

global $CFG;
global $SQLMAP;

while (@ ob_end_flush()); // end all output buffers if any

if ($SQLMAP->errorSettings()) {
    echo '<div class="well">';
    echo $SQLMAP->getErrorMessage();
    echo '</div>';
} else {

    // create a temporary folder
    $dirtmp = $CFG->report."/".$SQLMAP->getHost()."/";
    if (file_exists($dirtmp)) {
        $output_cmd = shell_exec("rm ".$dirtmp."/*.txt");
    } else {
        $output_cmd = shell_exec("mkdir ".$dirtmp);
    }

    // create a temporary file
    $SQLMAP->setFilename();
    $filename = $dirtmp . $SQLMAP->getFilename();

    $handle = fopen($filename, "w");

    $cmd = $SQLMAP->getSQLmapInstruction();

    // echo $cmd."<br>";

    $proc = popen($cmd, 'r');
    echo '<div class="well">';
    while (!feof($proc)) {
        //$content = fread($proc, 4096);
        $content = fgets($proc);

        // stored in a temporary file
        fwrite($handle, $content);

        // display web
        switch (true) {
            case stristr($content, '[CRITICAL]'):
                $content = str_replace("\n","</div>", $content);
                $content = '<div class="alert-critical">'.$content;
                break;

            case stristr($content, '[DEBUG]'):
                $content = str_replace("\n","</div>", $content);
                $content = '<div class="alert-debug">'.$content;
                break;

            case stristr($content, '[INFO]'):
                $content = str_replace("\n","</div>", $content);
                $content = '<div class="alert-info">'.$content;
                break;

            case stristr($content, '[PAYLOAD]'):
                $content = str_replace("\n","</div>", $content);
                $content = '<div class="alert-payload">'.$content;
                break;

            case stristr($content, '[TRAFFIC IN]'):
                $content = str_replace("\n","</div>", $content);
                $content = '<div class="alert-traffic_in">'.$content;
                break;

            case stristr($content, '[TRAFFIC OUT]'):
                $content = str_replace("\n","</div>", $content);
                $content = '<div class="alert-traffic_out">'.$content;
                break;

            case stristr($content, '[WARNING]'):
                $content = str_replace("\n","</div>", $content);
                $content = '<div class="alert-warning">'.$content;
                break;

            default:
                $content = str_replace("\n", "<br>", $content);
                break;
        }
        echo $content;
        @ flush();
    }
    echo '</div>';
    pclose($proc);
    fclose($handle);

    echo '<a href="'.$CFG->wwwroot.$CFG->tmpdir.'/'.$SQLMAP->getHost().'/'.$SQLMAP->getFilename().'" download="'.$SQLMAP->getFilename().'"';
    echo '<button type="button" class="btn btn-primary">Save report</button></a>';
}
echo '<button type="button" class="btn btn-link" onclick="history.back()">Go back</button>';

?>