<?php

global $SQLMAP;
global $PFORM;

$parent = $PFORM->getIDaccordion();
$section = "REQUEST";
$description = "These options can be used to specify how to connect to the target URL";

?>
<div class="panel panel-primary">
    <?php
    $PFORM->printPanelHeading($parent, $section, $description);
    $PFORM->printPanelCollapse(0, $section, true);
    ?>
    <div class="row">
        <div class="col-md-12">
            <?php
                // $text = $SQLMAP->getData();
                $PFORM->printFormTText('data', false, 'Data string to be sent through POST');
            ?>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <?php
                $aux = $SQLMAP->getTimeout();
                $PFORM->printFormTNumber('timeout',$aux['value'],$aux['min'],$aux['max'],'Seconds to wait before timeout connection');
            ?>
        </div>
        <div class="col-md-6">
            <?php
                $aux = $SQLMAP->getRetries();
                $PFORM->printFormTNumber('retries',$aux['value'],$aux['min'],$aux['max'],'Retries when the connection timeouts');
            ?>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            Use randomly selected HTTP User-Agent header:
            <div class="btn-group" data-toggle="buttons">
                <?php
                    $value  = $SQLMAP->getRandagent();
                    $PFORM->printFormTCheckbox('randagent', $value, false, false, '--random-agent');
                ?>
            </div>
        </div>
    </div>
    <?php $PFORM->printPanelCollapse(1, $section, true); ?>
</div>