<?php

global $SQLMAP;
global $PFORM;

$parent = $PFORM->getIDaccordion();
$section = "TECHNIQUES";
$description = "These options can be used to tweak testing of specific SQL injection techniques";

?>
<div class="panel panel-primary">
    <?php
    $PFORM->printPanelHeading($parent, $section, $description);
    $PFORM->printPanelCollapse(0, $section, true);
    ?>
    <div class="row">
	    <div class="col-md-6">
	    	<?php
	            $aux = $SQLMAP->getTimesec();
	            $PFORM->printFormTNumber('timesec',$aux['value'],$aux['min'],$aux['max'],'Seconds to delay the DBMS response');
	        ?>
	    </div>
	    <div class="col-md-6">
            <?php
                // $text = $SQLMAP->getData();
                $PFORM->printFormTText('unioncols', false, 'Range of columns to test for UNION query SQL injection [ex: 1-10]');
            ?>
        </div>
	</div>
	<div class="row">
	    <div class="col-md-12">
	    	SQL injection techniques to use:
	    	<div class="btn-group" data-toggle="buttons">
	    		<?php
	    			$name = 'tech';
	    			$PFORM->printFormTCheckbox($name, 'B', true, true, 'Boolean-based blind');
	    			$PFORM->printFormTCheckbox($name, 'E', true, true, 'Error-based');
	    			$PFORM->printFormTCheckbox($name, 'U', true, true, 'Union query-based');
	    			$PFORM->printFormTCheckbox($name, 'S', true, true, 'Stacked queries');
	    			$PFORM->printFormTCheckbox($name, 'T', true, true, 'Time-based blind');
	    			$PFORM->printFormTCheckbox($name, 'Q', true, true, 'Inline queries');
	    		?>
			</div>
	    </div>
    </div>
    <?php $PFORM->printPanelCollapse(1, $section, true); ?>
</div>